%define major		0
%define libname		%mklibname iperf %major
%define develname	%mklibname iperf -d

Name:		iperf
Version:	3.14
Release:	%mkrel 1
License:	BSD
Group:		Networking/Other
Summary:	A TCP, UDP, and SCTP network bandwidth measurement tool
URL:		https://github.com/esnet/iperf

Source:		https://github.com/esnet/%{name}/archive/%{version}.tar.xz

%description
iperf is a tool for active measurements of the maximum achievable bandwidth 
on IP networks. It supports tuning of various parameters related to timing, 
protocols, and buffers. For each test it reports the bandwidth, loss, and 
other parameters.

%package	-n %libname
Group:		System/Libraries
Summary:	Libraries for %{name}
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
iperf is a tool for active measurements of the maximum achievable bandwidth
on IP networks. It supports tuning of various parameters related to timing,
protocols, and buffers. For each test it reports the bandwidth, loss, and
other parameters.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x --enable-static=no
%make_build


%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete


%files
%{_bindir}/iperf3
%{_mandir}

%files -n %{libname}
%{_libdir}/libiperf.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Sep 03 2023 tex - 3.14-1pclos2023
- new version

* Tue Dec 29 2020 tex - 3.9-1pclos2020
- New version: 3.9
